Skip to main content
POST
Create or update entity

Authorizations

Authorization
string
header
required

All requests to the Cortex API need to provide an Authorization: Bearer <token> header, where <token> is an API key created in the Settings page of your workspace.

Query Parameters

dryRun
boolean

When true, this endpoint only validates the descriptor contents and returns any errors or warnings.

githubPullRequest
integer<int32>

Add a comment with validation errors on the pull request with the given ID

mode
enum<string>

Mode of operation: UPSERT (default) creates or updates existing entity, CREATE fails if entity already exists.

Available options:
UPSERT,
CREATE
asyncUpdateWaitTimeMs
integer<int64>

Maximum time (milliseconds) to wait for asynchronous property updates. Default is zero.

Body

application/openapi;charset=UTF-8

Raw text of the YAML
See examples of cortex.yaml files for each entity type here

The body is of type string.

Response

Indicates that the entity was accepted and processed successfully

ok
boolean
required
violations
object[]
required
Last modified on September 24, 2026